Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance

Status: New Priority: Should have
Author: Markus Günther Category: Extbase
Created: 2013-06-08 Assigned To: Marc Bastian Heinrichs
Updated: 2015-01-30 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Extbase: Backport lazy dependency injection
Description

In TYPO3 flow 2.0 we have now lazy dependency injection. This feature is really awesome and it will be cool if we have this also in
extbase. In TYPO3 flow this feature speed up flow because the the injected classes will only loaded if you need them.

The related flow ticket is http://forge.typo3.org/issues/43819

Related issues:
related to TYPO3.Flow - Feature # 43819: Support lazy dependency injection of... Resolved 2012-12-09

History
#1 - 2013-06-08 15:47 - Markus Günther

The backport from the feature is not as easy as i expected, because the implementation of DI is completely different in TYPO3 flow. So if we want to
have this the migration will be a little bit complex.

#2 - 2013-06-10 09:03 - Anja Leichsenring
- Target version changed from 6.2.0 to Extbase 6.2

#3 - 2013-06-26 09:50 - Alexander Schnitzler

So, are you working on it at all? If not let's flag this 6.3.

#4 - 2013-06-26 09:52 - Markus Günther
- Target version changed from Extbase 6.2 to Extbase 6.3

#5 - 2014-01-22 19:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27001

#6 - 2014-01-22 19:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27001

#7 - 2014-01-23 18:33 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27001

#8 - 2014-02-02 19:02 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27001

#9 - 2014-02-04 13:18 - Marc Bastian Heinrichs
- Assigned To set to Marc Bastian Heinrichs
- Parent task set to #55656

#10 - 2014-02-07 18:47 - Felix Oertel

Do you have some numbers on this? I don't think, that a real performance boost might apply to our situation as it does to Flow.

#11 - 2014-02-09 15:31 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27001

#12 - 2014-02-09 15:38 - Marc Bastian Heinrichs

Will count some xhprof numbers

#13 - 2014-02-14 19:28 - Ernesto Baschny
- Project changed from Extbase MVC Framework to Core
- Target version deleted (Extbase 6.3)

#14 - 2014-02-14 19:28 - Ernesto Baschny
- Subject changed from Backport lazy dependency injection to Extbase: Backport lazy dependency injection
- Category set to Extbase
- TYPO3 Version set to 6.2

#15 - 2015-01-30 10:28 - Christian Kuhn
- Status changed from Under Review to New

#16 - 2015-01-30 10:31 - Christian Kuhn

The patch pushed to gerrit was abandoned since it was stalled for a long time. This needs a fresh approach :)
